[Forensics-changes] [yara] 02/05: Added script to edit orig tarball, integrated into debian/watch.

Hilko Bengen bengen at moszumanska.debian.org
Tue Jun 16 09:06:34 UTC 2015


This is an automated email from the git hooks/post-receive script.

bengen pushed a commit to branch master
in repository yara.

commit 4211e3438cc2baba009c7767b04a946db724338b
Author: Hilko Bengen <bengen at debian.org>
Date:   Mon Jun 15 00:27:20 2015 +0200

    Added script to edit orig tarball, integrated into debian/watch.
---
 debian/orig-tar.sh | 16 ++++++++++++++++
 debian/watch       |  5 +++--
 2 files changed, 19 insertions(+), 2 deletions(-)

diff --git a/debian/orig-tar.sh b/debian/orig-tar.sh
new file mode 100755
index 0000000..b0b4aab
--- /dev/null
+++ b/debian/orig-tar.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+set -e
+
+VERSION=$2
+FILE=$3
+
+NEWVERSION=${VERSION}+dfsg
+NEWFILE=../yara_${NEWVERSION}.orig.tar.xz
+
+echo "Generating ${NEWFILE} ..."
+zcat $FILE \
+    | tar --wildcards --delete -f - '*/windows/*' \
+    | xz -c > ${NEWFILE}.t
+
+mv ${NEWFILE}.t ${NEWFILE}
diff --git a/debian/watch b/debian/watch
index a2cec7b..2618025 100644
--- a/debian/watch
+++ b/debian/watch
@@ -1,3 +1,4 @@
 version=3
-https://github.com/plusvic/yara/releases .*/v?(\d\S+)\.tar\.(?:bz2|gz|xz)
-
+opts="dversionmangle=s/\+dfsg//" \
+    https://github.com/plusvic/yara/releases .*/v?(\d\S+)\.tar\.(?:bz2|gz|xz) \
+    debian debian/orig-tar.sh

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/forensics/yara.git



More information about the forensics-changes mailing list